ARM: 7323/1: Do not allow ARM_LPAE on pre-ARMv7 architectures
authorCatalin Marinas <catalin.marinas@arm.com>
Tue, 14 Feb 2012 15:33:27 +0000 (16:33 +0100)
committerRussell King <rmk+kernel@arm.linux.org.uk>
Wed, 15 Feb 2012 11:04:36 +0000 (11:04 +0000)
commit08a183f02b5fef1cd78d27ffc8281fa96d79f814
tree37621a2e6d7fe0cfe85465cef425467d33767ff1
parent7ada1dd62804ca9ce1cb8666c6e563cd92fa50c1
ARM: 7323/1: Do not allow ARM_LPAE on pre-ARMv7 architectures

This patch expands the Kconfig dependencies for ARM_LPAE to not allow
enabling when architectures other than ARMv7 are built into the kernel.

Signed-off-by: Catalin Marinas <catalin.marinas@arm.com>
Reported-by: Russell King <linux@arm.linux.org.uk>
Signed-off-by: Russell King <rmk+kernel@arm.linux.org.uk>
arch/arm/mm/Kconfig